<template lang="pug">
Card.x-prop-list(title='Properties' @focusin.native='setSelected()')
  template(#icons='c')
    button.btn.btn-sm.btn-outline-dark.ml-auto(title='Add Property' @click='doCreateProperty()')
      i.fa.fa-plus
    button.btn.btn-sm.btn-outline-dark.ml-1(v-if='!transition' title='Add Transition' @click='doCreateTransition()')
      i.fa.fa-stopwatch
  template(#info='c')
    p
      | The #[strong Properties] card displays the #[a(href='https://mro-dev.web.cern.ch/docs/std/ssvg-specification.html#name-the-state-element-2' target="_blank" rel="noopener") SSVG state element] content,
      | allowing to navigate in
      | #[a(href='https://mro-dev.web.cern.ch/docs/std/ssvg-specification.html#name-the-property-element-2' target="_blank" rel="noopener") property] and
      | #[a(href='https://mro-dev.web.cern.ch/docs/std/ssvg-specification.html#name-the-computed-element-2' target="_blank" rel="noopener") computed] elements
      | as well as their
      | #[a(href='https://mro-dev.web.cern.ch/docs/std/ssvg-specification.html#name-the-relation-element-2' target="_blank" rel="noopener") relation],
      | #[a(href='https://mro-dev.web.cern.ch/docs/std/ssvg-specification.html#name-the-transform-element-2' target="_blank" rel="noopener") transform] (and other...) sub-elements.
    p #[strong Note:] selecting elements in this list will open "edit" cards on the right-panel.
    p #[strong Note:] click on #[i.fa.fa-plus] to create new elements.
    p #[strong Note:] use properties inputs to modify current document state.
  template(#default='c')
    li.x-list(key='props')
      Transition(v-if='transition' key='transition' :state='stateElement' :transition='transition')
      Property(v-for='prop, idx in properties' :key='"property-" + idx' :state='stateElement' :property='prop')
      Computed(v-for='prop, idx in computed' :key='"computed-" + idx' :state='stateElement' :property='prop')
</template>
<script src='./SSVGPropList.vue.js' />
